Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ipe::PdfRef Class Reference
Ipe Base

`#include <ipepdfparser.h>`

Inherits ipe::PdfObj.

## Public Member Functions

| PdfRef (int val)
virtual const PdfRef * | ref () const
virtual void | write (Stream &stream) const
int | value () const
Public Member Functions inherited from ipe::PdfObj
virtual | ~PdfObj ()=0
virtual const PdfNull * | null () const
virtual const PdfBool * | boolean () const
virtual const PdfNumber * | number () const
virtual const PdfString * | string () const
virtual const PdfName * | name () const
virtual const PdfArray * | array () const
virtual const PdfDict * | dict () const
String | repr () const

## Detailed Description

The PDF reference object (indirect object).

## Constructor & Destructor Documentation

ipe::PdfRef::PdfRef | ( | int | val | ) |

inlineexplicit

## Member Function Documentation

const PdfRef * PdfRef::ref | ( |  | ) | const

virtual

Return this object as PDF reference object.

Reimplemented from ipe::PdfObj.

void PdfRef::write | ( | Stream & | stream | ) | const

virtual

Implements ipe::PdfObj.

int ipe::PdfRef::value | ( |  | ) | const

inline

The documentation for this class was generated from the following files:

- ipepdfparser.h
- ipepdfparser.cpp